Subject: bug#20056: 25.0.50; Remove non Common Lisp stuff from cl*.el libraries

From: Daniel Colascione <[email-masked]>
Date: Sun, 08 Mar 2015 12:11:15 -0700

On 03/08/2015 11:46 AM, Drew Adams wrote:
>> Even cl functions that have the same names as functions in Common Lisp
>> don't always have the same features or semantics. I don't think it's
>> very important that the cl package mirror Common Lisp.
> 
> That is something quite different.  Those differences are pointed
> out, and the aim is to emulate Common Lisp, however imperfectly
> we might be able to (or might want to) do so at any given time.
> 
> There is no reason to misleadingly add stuff to our emulation
> library that has no counterpart is Common Lisp - is not
> emulating anything there.  It is even worse to use names that
> make it look as if these do correspond to Common Lisp things.
> 
> It is perfectly fine for Emacs to add things that Common Lisp
> does not have/do.  But it should add them elsewhere from the
> `cl*.el' files, and document them elsewhere than in manual CL.

Why? Some things (like letf) are just natural extensions of facilities
we got from Common Lisp. Keep in mind that they didn't start out under
the cl namespace either. They were just there along with everything else
when we created cl-lib.

I don't think you've explained the downside of extending CL in the cl-
namespace. You've articulated an aesthetic point, but I don't see any
negative technical consequences.